about summary refs log tree commit diff
diff options
context:
space:
mode:
-rw-r--r--.travis.yml3
-rw-r--r--test/travis/focal/Dockerfile44
2 files changed, 47 insertions, 0 deletions
diff --git a/.travis.yml b/.travis.yml
index ca56e474..88833e1c 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -10,6 +10,9 @@ branches:
 matrix:
   include:
   - os: linux
+    dist: focal
+    env: NAME="focal-amd64" MODERN="yes" GCC="9"
+  - os: linux
     dist: bionic
     env: NAME="bionic-amd64" MODERN="yes" GCC="7"
   - os: linux
diff --git a/test/travis/focal/Dockerfile b/test/travis/focal/Dockerfile
new file mode 100644
index 00000000..06f6841e
--- /dev/null
+++ b/test/travis/focal/Dockerfile
@@ -0,0 +1,44 @@
+# This is the Dockerfile for testing problems in Travis build
+# configuration #1.
+# This needs not to be rebuild everytime, most of the time it needs just to
+# be build once and then started when debugging issues and execute:
+#   cd /AFLplusplus/
+#   git pull
+#   make distrib
+#
+FROM ubuntu:focal
+LABEL "about"="travis image 4"
+RUN apt-get update && apt-get -y install \
+    automake \
+    bison \
+    build-essential \
+    clang \
+    flex \
+    git \
+    python3 python3-dev \
+    python3-setuptools \
+    libtool libtool-bin \
+    libglib2.0-dev \
+    python-setuptools \
+    wget \
+    ca-certificates \
+    libpixman-1-dev \
+    gcc-7 gcc-7-plugin-dev libc++-7-dev \
+    findutils \
+    libcmocka-dev \
+    joe nano vim locate \
+    && rm -rf /var/lib/apt/lists/*
+
+ENV AFL_NO_UI=1
+ENV AFL_I_DONT_CARE_ABOUT_MISSING_CRASHES=1
+
+RUN cd / && \
+    git clone https://github.com/AFLplusplus/AFLplusplus && \
+    cd AFLplusplus && \
+    git checkout dev && \
+    cd qemu_mode && wget http://download.qemu-project.org/qemu-3.1.1.tar.xz && \
+    cd ../unicorn_mode && git submodule init && git submodule update || true && \
+    cd /AFLplusplus && ASAN_BUILD=1 make source-only || true
+
+WORKDIR /AFLplusplus
+CMD ["/bin/bash"]